import request from '@/utils/request'

// 查询报修单-出库单明细列表
export function listRepairFormMaterialInfo(query) {
  return request({
    url: '/business/repairFormMaterialInfo/list',
    method: 'get',
    params: query
  })
}

// 查询报修单-出库单明细详细
export function getRepairFormMaterialInfo(id) {
  return request({
    url: '/business/repairFormMaterialInfo/' + id,
    method: 'get'
  })
}

// 新增报修单-出库单明细
export function addRepairFormMaterialInfo(data) {
  return request({
    url: '/business/repairFormMaterialInfo',
    method: 'post',
    data: data
  })
}

// 修改报修单-出库单明细
export function updateRepairFormMaterialInfo(data) {
  return request({
    url: '/business/repairFormMaterialInfo',
    method: 'put',
    data: data
  })
}

// 删除报修单-出库单明细
export function delRepairFormMaterialInfo(id) {
  return request({
    url: '/business/repairFormMaterialInfo/' + id,
    method: 'delete'
  })
}
